Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-sdl3/finddlg.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Functions | Variables
finddlg.c File Reference
`#include <stdlib.h>`
`#include <SDL3/SDL.h>`
`#include "fcintl.h"`
`#include "log.h"`
`#include "game.h"`
`#include "nation.h"`
`#include "zoom.h"`
`#include "colors.h"`
`#include "graphics.h"`
`#include "gui_id.h"`
`#include "gui_main.h"`
`#include "gui_tilespec.h"`
`#include "mapctrl.h"`
`#include "mapview.h"`
`#include "sprite.h"`
`#include "widget.h"`
`#include "finddlg.h"`

Go to the source code of this file.

## Functions

static int | find_city_window_dlg_callback (struct widget *pwindow)
static int | exit_find_city_dlg_callback (struct widget *pwidget)
static int | find_city_callback (struct widget *pwidget)
void | popdown_find_dialog (void)
void | popup_find_dialog (void)

## Variables

static struct advanced_dialog * | find_city_dlg = NULL

## Function Documentation

## ◆ exit_find_city_dlg_callback()

static int exit_find_city_dlg_callback | ( | struct widget * | pwidget | ) |

static

Close find city dialog.

Definition at line 67 of file finddlg.c.

## ◆ find_city_callback()

static int find_city_callback | ( | struct widget * | pwidget | ) |

static

User has selected city to find.

Definition at line 86 of file finddlg.c.

## ◆ find_city_window_dlg_callback()

static int find_city_window_dlg_callback | ( | struct widget * | pwindow | ) |

static

User interacted with find city dialog window.

Definition at line 55 of file finddlg.c.

## ◆ popdown_find_dialog()

void popdown_find_dialog | ( | void |  | ) |

Popdown a dialog to ask for a city to find.

Definition at line 106 of file finddlg.c.

## ◆ popup_find_dialog()

void popup_find_dialog | ( | void |  | ) |

Popup a dialog to ask for a city to find.

Definition at line 120 of file finddlg.c.

## Variable Documentation

## ◆ find_city_dlg

struct advanced_dialog* find_city_dlg = NULL

static

Definition at line 50 of file finddlg.c.